Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 252920 - app-text/rarian bundles a copy of tinyxml
Summary: app-text/rarian bundles a copy of tinyxml
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugs.freedesktop.org//show_bu...
Whiteboard:
Keywords: InVCS, NeedPatch
Depends on: 90041
Blocks: bundled-libs
  Show dependency tree
 
Reported: 2008-12-29 01:34 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2016-09-30 21:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-29 01:34:31 UTC
And have fun, that is _not_ in Portage! (I found it by chance because another packages bundles it).
Comment 1 Samuli Suominen gentoo-dev 2009-08-14 18:50:38 UTC
It's in tree now; have fun :)
Comment 2 Pacho Ramos gentoo-dev 2011-04-14 18:01:35 UTC
I tried to make it build against system lib without success:
https://bugs.freedesktop.org//show_bug.cgi?id=33937

help is highly appreciated ;)

Thanks
Comment 3 Gilles Dartiguelongue gentoo-dev 2016-09-30 21:50:54 UTC
Fixed in https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8eb8edc7566fcab7b19f136338c06f6bd0f5b64e

I also added some patches found in Redhat, Fedora, Debian and Ubuntu. This time we cannot avoid eautoreconf due to tinyxml unbundling but it's not like it is a big package and not like it is going to receive any updates in the foreseeable future.

FTR, I collected these patches https://github.com/EvaSDK/rarian/commits/master since I could not find upstream repository.